VisualEditor: Some elements not alienated
Closed, ResolvedPublic

Description

The coord template is not hatched but still visible and the links are still clickable.

https://en.wikipedia.org/wiki/User:Raymond/coords


Version: unspecified
Severity: major

bzimport set Reference to bz43076.
Raymond created this task.Via LegacyDec 13 2012, 3:46 PM
bzimport added a comment.Via ConduitDec 13 2012, 7:17 PM

jnichols wrote:

There are a few templates that aren't hatched. For example, the tables created by [[w:en:Template:Canadian_first_minister_list]] are editable with VisualEditor, and trying to do so results in a mess of wikitext.

Catrope added a comment.Via ConduitDec 15 2012, 8:33 AM

(In reply to comment #0)

The coord template is not hatched but still visible and the links are still
clickable.

https://en.wikipedia.org/wiki/User:Raymond/coords

Inspecting it shows that this is being alienated correctly, but for some reason it's not getting hatched out and not behaving quite correctly. That's a CE bug.

Inspecting the coords element shows:

<div contenteditable="false" class="ve-ce-leafNode ve-ce-alienNode ve-ce-alienInlineNode"><span typeof="mw:Object/Template " about="#mwt1" ...>[lots of scary stuff here, including nested <span>s]</span></div>

(In reply to comment #1)

There are a few templates that aren't hatched. For example, the tables
created
by [[w:en:Template:Canadian_first_minister_list]] are editable with
VisualEditor, and trying to do so results in a mess of wikitext.

This is actually a different bug. Tables of Canadian prime ministers aren't alienated at all due to a bug in Parsoid, while on Raymond's coords page the template is alienated correctly but the alien itself is misbehaving. Keeping this bug for the coords bug, splitting off the Canadian prime ministers bug to bug 43155.

Jdforrester-WMF added a comment.Via ConduitJan 8 2013, 9:01 PM

This (first part; second part is now bug 43155) is fixed in gerrit 39834 which is now merged; will be deployed as part of the 2013-01-16 release cycle.

Add Comment